snd_pcm_hw_constraint_list
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_hw_constraint_list —

## Synopsis

`int snd_pcm_hw_constraint_list (` | struct snd_pcm_runtime * | runtime,
| unsigned int | cond,
| snd_pcm_hw_param_t | var,
| struct snd_pcm_hw_constraint_list * | l`)`;

## Arguments

`runtime`

  PCM runtime instance

`cond`

  condition bits

`var`

  hw_params variable to apply the list constraint

`l`

  list

## Description

Apply the list of constraints to an interval parameter.

Prev | Up | Next
snd_pcm_hw_constraint_minmax | Home | snd_pcm_hw_constraint_ratnums